The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> isatty - test for a terminal device

#### SYNOPSIS

> ``#include <unistd.h>
> int isatty(int` fildes`);
> ``

#### DESCRIPTION

> The isatty() function shall test whether fildes, an open file descriptor, is associated with a terminal device.

#### RETURN VALUE

> The isatty() function shall return 1 if fildes is associated with a terminal; otherwise, it shall return 0 and may set errno to indicate the error.

#### ERRORS

> The isatty() function may fail if:

> [EBADF]
>   The fildes argument is not a valid open file descriptor.
> [ENOTTY]
>   The file associated with the fildes argument is not a terminal.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The isatty() function does not necessarily indicate that a human being is available for interaction via fildes. It is quite possible that non-terminal devices are connected to the communications line.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> XBD <unistd.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 6

> The following new requirements on POSIX implementations derive from alignment with the Single UNIX Specification:

> - The optional setting of errno to indicate an error is added.

> - The [EBADF] and [ENOTTY] optional error conditions are added.

#### Issue 7

> SD5-XSH-ERN-100 is applied, correcting the definition of the [ENOTTY] error condition.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]